at.chipkarte.client.sts.soap.constants

## Class InvalidParameterStsExceptionConstants

- Object
- - at.chipkarte.client.sts.soap.constants.InvalidParameterStsExceptionConstants

-     public class InvalidParameterStsExceptionConstants
      extends Object

  Fehlerkonstanten, die geworfen werden, wenn ein ungültiger Parameter in einer Funktion angegeben wird. Fehlercodes siehe `InvalidParameterStsExceptionConstants`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INVALID_SV_NUMBER` Die Sozialversicherungsnummer ist ungültig.
    `static int` | `RESPONSEURL_INVALID_FORMAT` Das Format des Paramter ResponseURL ist ungültig.
    `static int` | `RESPONSEURL_MAX_LENGTH_EXCEEDED` Die Länge des Paramter ResponseURL ist nicht im zulässigen Bereich.
    `static int` | `SAME_TICKETPARAMETER_REPEATED` Der Parameter {Parametername} wurde mehrfach übergeben.
    `static int` | `TICKETSUBJECT_INVALID_FORMAT` Das Format des Paramter Ticketsubject ist ungültig.
    `static int` | `TICKETSUBJECT_MAX_LENGTH_EXCEEDED` Die Länge des Paramter Ticketsubject ist nicht im zulässigen Bereich.
    `static int` | `TICKETSUBJECT_MISSING` Der Parameter Ticketsubject wurde nicht befüllt.
    `static int` | `TICKETSUBJECT_VPNR_DIALOGID_MISSMATCH` Die VPNR im Parameter Ticketsubject passt nicht zum Vertragspartner für den der Dialog aufgebaut wurde.
    `static int` | `TICKETSUBJECT_VPNR_INVALID_FORMAT` Die VPNR im Parameter Ticketsubject entspricht nicht dem vorgegebenen Format ORCLI-Code: CL-07023

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidParameterStsExceptionConstants()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_SV_NUMBER

          public static final int INVALID_SV_NUMBER

      Die Sozialversicherungsnummer ist ungültig.
      ORCLI-Code: CL-07013
      See Also:
        Constant Field Values

    - #### SAME_TICKETPARAMETER_REPEATED

          public static final int SAME_TICKETPARAMETER_REPEATED

      Der Parameter {Parametername} wurde mehrfach übergeben.
      ORCLI-Code: CL-07016
      See Also:
        Constant Field Values

    - #### TICKETSUBJECT_MAX_LENGTH_EXCEEDED

          public static final int TICKETSUBJECT_MAX_LENGTH_EXCEEDED

      Die Länge des Paramter Ticketsubject ist nicht im zulässigen Bereich.
      ORCLI-Code: CL-07118
      See Also:
        Constant Field Values

    - #### RESPONSEURL_MAX_LENGTH_EXCEEDED

          public static final int RESPONSEURL_MAX_LENGTH_EXCEEDED

      Die Länge des Paramter ResponseURL ist nicht im zulässigen Bereich.
      ORCLI-Code: CL-07128
      See Also:
        Constant Field Values

    - #### RESPONSEURL_INVALID_FORMAT

          public static final int RESPONSEURL_INVALID_FORMAT

      Das Format des Paramter ResponseURL ist ungültig.
      ORCLI-Code: CL-07113
      See Also:
        Constant Field Values

    - #### TICKETSUBJECT_INVALID_FORMAT

          public static final int TICKETSUBJECT_INVALID_FORMAT

      Das Format des Paramter Ticketsubject ist ungültig.
      ORCLI-Code: CL-07103
      See Also:
        Constant Field Values

    - #### TICKETSUBJECT_MISSING

          public static final int TICKETSUBJECT_MISSING

      Der Parameter Ticketsubject wurde nicht befüllt.
      ORCLI-Code: CL-07151
      See Also:
        Constant Field Values

    - #### TICKETSUBJECT_VPNR_DIALOGID_MISSMATCH

          public static final int TICKETSUBJECT_VPNR_DIALOGID_MISSMATCH

      Die VPNR im Parameter Ticketsubject passt nicht zum Vertragspartner für den der Dialog aufgebaut wurde.
      ORCLI-Code: CL-07104
      See Also:
        Constant Field Values

    - #### TICKETSUBJECT_VPNR_INVALID_FORMAT

          public static final int TICKETSUBJECT_VPNR_INVALID_FORMAT

      Die VPNR im Parameter Ticketsubject entspricht nicht dem vorgegebenen Format
      ORCLI-Code: CL-07023
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InvalidParameterStsExceptionConstants

          public InvalidParameterStsExceptionConstants()